This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 51122 - ananconda reports lilo error when upgrading from 6.2 to 7.1
ananconda reports lilo error when upgrading from 6.2 to 7.1
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-07 12:25 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-31 09:53:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-07 12:25:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.16-3 i686)

Description of problem:
Received message to report this error. No other errors for lilo found on
buzgilla.
Error writing lilo after requesting it to be written to MBR

How reproducible:
Always

Steps to Reproduce:
1. Usual installation procedure for upgrade (from 6.2 - 7.1)
2.
3.
	

Actual Results:  Anaconda gives attached erros message and exits.

Additional info:

Reported error:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 391, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 879, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 481, in
nextClicked
    next = self.currentScreen.getNext ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/lilo_gui.py", line 101,
in getNext
    self.todo.lilo.setDefault(default)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 483, in
setDefault
    raise IndexError, "unknown lilo label %s" % (default,)
IndexError: unknown lilo label None

Local variables in innermost frame:
self: <lilo.LiloConfiguration instance at 8543078>
default: None
Comment 1 Brent Fox 2001-08-10 12:08:04 EDT
Do you have any other operating systems on your machine?  Were there entries for
them in the LILO screen?
Comment 2 Brent Fox 2001-08-20 09:52:54 EDT
Closing due to inactivity. Please reopen if you have more information.
Comment 3 Need Real Name 2001-08-29 05:05:39 EDT
No other operating systems.
My /etc/lilo.conf is as follows:
--------------------------
boot=/dev/hda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
linear
default=linux

image=/boot/vmlinuz-2.2.16-3
        label=linux
        read-only
        root=/dev/hda1

image=/boot/vmlinuz-2.2.14-5.0
        label=linux.old
        read-only
        root=/dev/hda1

other=/dev/hda8
        label=dos
Comment 4 Brent Fox 2001-08-29 15:24:21 EDT
If you don't have Windows installed on this machine, why is there an entry in
lilo.conf for:

other=/dev/hda8
        label=dos

Is hda8 a DOS partition?
Comment 5 Need Real Name 2001-08-31 09:53:43 EDT
I did have the machine dual boot with Windows so had a small partition for
sharing data between Linux and Windows. I don't use it now. (I now use vmware
with Windows NT as a guest operating system inside the Linux host).

Do you think ithe problem is connected with the lilo file? During the upgrade I
also get a warning that the partitions do not match cylinder boundaries,
although this has not been a problem with previous upgrades.
Comment 6 Jeremy Katz 2001-09-05 17:55:10 EDT
This should be fixed in the current code present in Roswell, the beta for the
next release of Red Hat Linux.

Note You need to log in before you can comment on or make changes to this bug.